/*********************************************************************
 * Copyright (c) 2004, 2007 Boeing
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Contributors:
 *     Boeing - initial API and implementation
 **********************************************************************/

package org.eclipse.osee.ote.core.environment.status;

import java.io.Serializable;
import org.eclipse.osee.ote.core.environment.command.CommandDescription;

public class SequentialCommandEnded implements IServiceStatusDataCommand, Serializable {

   private static final long serialVersionUID = 9093713855323793915L;
   private CommandDescription description;
   private CommandEndedStatusEnum status;

   public SequentialCommandEnded(CommandDescription description, CommandEndedStatusEnum status) {
      this.description = description;
      this.status = status;
   }

   public SequentialCommandEnded() {
   }

   @Override
   public CommandDescription getDescription() {
      return description;
   }

   public CommandEndedStatusEnum getStatus() {
      return status;
   }

   public void set(CommandDescription description, CommandEndedStatusEnum status) {
      this.description = description;
      this.status = status;
   }

   @Override
   public void accept(IServiceStatusDataVisitor visitor) {
      if (visitor != null) {
         visitor.asSequentialCommandEnded(this);
      }
   }
}
